Constructs an OpenSSL context for use with Event classes

- « EventSslContext

- EventUtil »

- PHP Manual
- EventSslContext
- Constructs an OpenSSL context for use with Event classes

# EventSslContext::__construct

(PECL event >= 1.2.6-beta)

EventSslContext::__construct — Constructs an OpenSSL context for use with Event classes

### Description

public EventSslContext::__construct( string `$method` , string `$options` )

Creates SSL context holding pointer to `SSL_CTX` (see the system manual).

### Parameters

`method`

  One of `EventSslContext::*_METHOD` constants.

`options`

  Associative array of SSL context options One of `EventSslContext::OPT_*` constants.

### Examples

Example #1 EventSslContext::__construct() example

    <?php
    $ctx = new EventSslContext(EventSslContext::SSLv3_SERVER_METHOD, array(
         EventSslContext::OPT_LOCAL_CERT        => $local_cert,
         EventSslContext::OPT_LOCAL_PK          => $local_pk,
         EventSslContext::OPT_PASSPHRASE        => "echo server",
         EventSslContext::OPT_VERIFY_PEER       => true,
         EventSslContext::OPT_ALLOW_SELF_SIGNED => false,
    ));
    ?>